GNU bug report logs - #38802
24.5; emacs unusable, unpredictably, with "k is undefined" for every key

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Samuel Wales <samologist@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 38802 <at> debbugs.gnu.org:


Received: (at 38802) by debbugs.gnu.org; 27 Oct 2020 07:50:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 27 03:50:15 2020
Received: from localhost ([127.0.0.1]:42648 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kXJkE-0003rs-OP
	for submit <at> debbugs.gnu.org; Tue, 27 Oct 2020 03:50:14 -0400
Received: from quimby.gnus.org ([95.216.78.240]:53916)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kXJkA-0003rP-EK
 for 38802 <at> debbugs.gnu.org; Tue, 27 Oct 2020 03:50:11 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=/0v8A9En8nXc5Fd28OXIc3zWnIKP0t4wSglaEUXZ6tI=; b=VieTMm/rQtduhh1i+jVxvvmdmE
 OMNqxSxRWNXdN+7cv1DUl6yEUrXklP5naa+GhsWJiVWoZ6abfCL7UHlpwAb+faEJcj3usgFaygyFw
 t+FXMUJqEb1uAAzL9xY3cDVaIPUnc1rQNzNRcIj7Pr1GJVGNryO26weOxan/gL0Qsp3Q=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kXJk0-0003yf-Ev; Tue, 27 Oct 2020 08:50:03 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Samuel Wales <samologist@HIDDEN>
Subject: Re: bug#38802: 24.5; emacs unusable, unpredictably, with "k is
 undefined" for every key
References: <CAJcAo8s0BYPWhfnLHdXBQySzLbzUTm+fyeMBh_F7Bv6fJcWpJw@HIDDEN>
 <83eewln7fi.fsf@HIDDEN> <874kxgqapm.fsf@HIDDEN>
 <834kxflukh.fsf@HIDDEN> <87sgkzq20t.fsf@HIDDEN>
 <CAJcAo8sxGzZaoeM2+mS=NGmAJ0hCt3QEc-ANzHxk3CWg5ZZJ_w@HIDDEN>
 <CAJcAo8uzL5GEOPKnQ+U3LNK4M1w_6vr1DTTTYcRfqRFBHN9AOw@HIDDEN>
 <83woabjig5.fsf@HIDDEN>
 <CAJcAo8uf1gHgL04KVxPUg3+N5W8OciNx_HGvyoXi0=L2APFD9Q@HIDDEN>
 <871rithm9s.fsf@HIDDEN>
 <CAJcAo8sjD2zMnXF7Vm90P2F67dmMoVoGW6dZyFJC3XYBBL5_ew@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEUGAQIuBARWHBUt
 JSluS0iVe3mLa1KyoKj///9hIobVAAAAAWJLR0QIht6VegAAAAd0SU1FB+QKGwcsDyBoW7EAAAGx
 SURBVDjLbZNNT8MwDIZTVrTrUvEHaqpxRTvAdQppuSK2JPepya5IUPz3cZJ2qzt8zBP79acQ2eRo
 j4JbUef3qtlzUI4A9IGDFzWCzjwz0Ko6R+ocj2V6iAQa777m76vBKoi2Ne6bASSXaJ1xPxwMQdN7
 440bFsCEPjkgAwLRmKC1N4NDBuhjiGYJMfA+guC5uFgTsBEs0hUlogq97nqPrEBSD59NoJTP+MHB
 uw698bbzC1C0aIP3NrgFuAM3kEYEvLtF/TSEkw4E+DxE8YCpDuRlkEGrg+81H0dyKVPfz3txY1Ut
 q6q9cZCy+G+vKooSh75ZvO9g3CsJLNvy1FzA2xzQ7AgkIdAz8tJrlcNH4PdzBxUdMrguaWn1sc75
 pCU1016vfz1JTNWANlMfXy1+5kgiHYKfxo7hAoocK7uUg8fTWHIhc6zU4tfBWyVHvXQjbR6Ks/5Y
 TyC5dBjXdIVHSmozA1WTREqjWnXtagTQOlqV+x40TJEu8od4r6DqK0ilNBHEQ7pI5K4AtJSWglrJ
 DfcgkQjkbg5i8bCla0+Xz7ei0pratQRj61EAvRebG+D+AFGmgLM3QenuAAAAJXRFWHRkYXRlOmNy
 ZWF0ZQAyMDIwLTEwLTI3VDA3OjQ0OjE0KzAwOjAwvJrEKwAAACV0RVh0ZGF0ZTptb2RpZnkAMjAy
 MC0xMC0yN1QwNzo0NDoxNCswMDowMM3HfJcAAAAASUVORK5CYII=
X-Now-Playing: Arca's _&&&&&_: "Fossil"
Date: Tue, 27 Oct 2020 08:49:58 +0100
In-Reply-To: <CAJcAo8sjD2zMnXF7Vm90P2F67dmMoVoGW6dZyFJC3XYBBL5_ew@HIDDEN>
 (Samuel Wales's message of "Mon, 26 Oct 2020 15:39:58 -0700")
Message-ID: <877drcrtuh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Samuel Wales <samologist@HIDDEN> writes: > have not seen
 it since last time. it is pretty rare. > > if you are in the middle of some
 critical irc conversation, have a lot > of unsaved buffers, etc. it can feel
 like you've been denied the > s [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38802
Cc: michael_heerdegen@HIDDEN, Eli Zaretskii <eliz@HIDDEN>,
 38802 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Samuel Wales <samologist@HIDDEN> writes:

> have not seen it since last time.  it is pretty rare.
>
> if you are in the middle of some critical irc conversation, have a lot
> of unsaved buffers, etc.  it can feel like you've been denied the
> source and life of all computing -- emacs.
>
> if it needs closing, then whatever is appropriate.

OK, it doesn't sound likely that we'll make further progress in this bug
report, so I'm closing it.  If you come up with a recipe for reproducing
the bug, please respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38802; Package emacs. Full text available.

Message received at 38802 <at> debbugs.gnu.org:


Received: (at 38802) by debbugs.gnu.org; 26 Oct 2020 22:40:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 26 18:40:06 2020
Received: from localhost ([127.0.0.1]:41892 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kXB9q-0000Lf-1x
	for submit <at> debbugs.gnu.org; Mon, 26 Oct 2020 18:40:06 -0400
Received: from mail-pj1-f48.google.com ([209.85.216.48]:52832)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <samologist@HIDDEN>) id 1kXB9o-0000L4-Jc
 for 38802 <at> debbugs.gnu.org; Mon, 26 Oct 2020 18:40:05 -0400
Received: by mail-pj1-f48.google.com with SMTP id o1so3995970pjt.2
 for <38802 <at> debbugs.gnu.org>; Mon, 26 Oct 2020 15:40:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=M9T9BgZmbarLT+n28fUzgR+R2wvxJswbRLIURw6yGtY=;
 b=RqEY9R4sl2jglF+2TUxzv/dQAbKG/A3+7dHSShrN4SIn8y7oheB3El2Y1ikltFJKwh
 koSnWE+eTXpbqN4dMJyCDSDU23R1xYhV4U42jbAEjWkDV2NAPNYcDny45Jf5tkZBPbVt
 yfOM8+8KLBGvi35SadIsLCKxqCUEiNUaKIDdqo1vNjroP8/yqCbsRw7xtJQMswqCyPqE
 k5ew3OJGAUgrykbamZeLJxcsCDRMU5NA4ekQ+ylBJ1KcBQbft9A6vf3CRyawqK03umk3
 2hyJbJaRoV4i1lTiu6PDKFifr8GFOrCu7uu2UjNcBxvAw4xccoQDTvHpySPfhWUImtHe
 M/6A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=M9T9BgZmbarLT+n28fUzgR+R2wvxJswbRLIURw6yGtY=;
 b=ff+t2mXPKNKn/ImHvCORivV6vzBspELS/LbziHgFWWaH8iQKLPSNWX6opTwQ3ON3ee
 AGRFlbsfLN2riIUCKEEBvd4aNbR6x/iZBlmYyfr47kv1DRPsHrwDx03SHPqGxxVSbKAa
 iMjfUDZtSKEjKYB27KmlAAz57ZrLQfxpPwGNGxNNlWUCynRL2PttRzORSBiY/qF3Qoyz
 cPfAaaxh+Y2UXol5UxlAmOxvnPKPt1QpE92AoUj5hxC9b8TOLyXguyUbO5ug7fDUcxgm
 NR89arPEgTGT+yFyPzGdSmJ3FXCoZUJY+YHqs97ToNaif40Y8aIZob31ygz6dU07iOaX
 KrNQ==
X-Gm-Message-State: AOAM530/36iXsDI9hIiLjwtKzAV52p+G/30hw8VcLoKW9iBnjYUhIWb0
 GhsbMQmDiAZHFMYsVR/3jhEHg7i84pyP5gSVNE8=
X-Google-Smtp-Source: ABdhPJwOe3XCz5KDs6oVvHzqei9Hk0JCJpl/rCFDWJ+WIvyD2rk9xgKu274mE5vqkT//+AS3SwFZZjlUuz3eKPEh6cg=
X-Received: by 2002:a17:90b:300a:: with SMTP id
 hg10mr23084670pjb.72.1603751998651; 
 Mon, 26 Oct 2020 15:39:58 -0700 (PDT)
MIME-Version: 1.0
Received: by 2002:a05:6a10:c64b:0:0:0:0 with HTTP; Mon, 26 Oct 2020 15:39:58
 -0700 (PDT)
In-Reply-To: <871rithm9s.fsf@HIDDEN>
References: <CAJcAo8s0BYPWhfnLHdXBQySzLbzUTm+fyeMBh_F7Bv6fJcWpJw@HIDDEN>
 <83eewln7fi.fsf@HIDDEN> <874kxgqapm.fsf@HIDDEN> <834kxflukh.fsf@HIDDEN>
 <87sgkzq20t.fsf@HIDDEN>
 <CAJcAo8sxGzZaoeM2+mS=NGmAJ0hCt3QEc-ANzHxk3CWg5ZZJ_w@HIDDEN>
 <CAJcAo8uzL5GEOPKnQ+U3LNK4M1w_6vr1DTTTYcRfqRFBHN9AOw@HIDDEN>
 <83woabjig5.fsf@HIDDEN>
 <CAJcAo8uf1gHgL04KVxPUg3+N5W8OciNx_HGvyoXi0=L2APFD9Q@HIDDEN>
 <871rithm9s.fsf@HIDDEN>
From: Samuel Wales <samologist@HIDDEN>
Date: Mon, 26 Oct 2020 15:39:58 -0700
Message-ID: <CAJcAo8sjD2zMnXF7Vm90P2F67dmMoVoGW6dZyFJC3XYBBL5_ew@HIDDEN>
Subject: Re: bug#38802: 24.5; emacs unusable, unpredictably, with "k is
 undefined" for every key
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38802
Cc: michael_heerdegen@HIDDEN, Eli Zaretskii <eliz@HIDDEN>,
 38802 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

have not seen it since last time.  it is pretty rare.

if you are in the middle of some critical irc conversation, have a lot
of unsaved buffers, etc.  it can feel like you've been denied the
source and life of all computing -- emacs.

if it needs closing, then whatever is appropriate.

for health reason i am limited in computer use.

On 9/22/20, Lars Ingebrigtsen <larsi@HIDDEN> wrote:
> Samuel Wales <samologist@HIDDEN> writes:
>
>> it is quite rare, but has been around for many emacs versions.
>>
>> i could test my intuition that it might be related to type-break by
>> setting type-break to trigger frequently, then running passwd in the
>> shell, but i don't have it in me atm.
>
> This was some months ago.  Have you seen this problem again?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>


-- 
The Kafka Pandemic

Please learn what misopathy is.
https://thekafkapandemic.blogspot.com/2013/10/why-some-diseases-are-wronged.html




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38802; Package emacs. Full text available.
bug closed, send any further explanations to 38802 <at> debbugs.gnu.org and Samuel Wales <samologist@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 38802 <at> debbugs.gnu.org:


Received: (at 38802) by debbugs.gnu.org; 26 Oct 2020 15:51:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 26 11:51:32 2020
Received: from localhost ([127.0.0.1]:40947 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kX4mR-0008VX-RY
	for submit <at> debbugs.gnu.org; Mon, 26 Oct 2020 11:51:32 -0400
Received: from quimby.gnus.org ([95.216.78.240]:44636)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kX4mP-0008VL-NU
 for 38802 <at> debbugs.gnu.org; Mon, 26 Oct 2020 11:51:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=FS+zclo5Yq3+gXuXad7a7YzPzJ4YYMhLLm8EBbK8cFw=; b=jN/H/DpVKEWrOtweej1yKJKTKs
 tPXHHM7VcYp3pV7ItUdelQIRdkECG+FsumLMIiFgCnzc2EASD0EQbkAJFPOfKVGcPqgKmiw0jk5/Y
 sShHMXSEDAUIGy1NxMRZSb0jyEaejO+f7UIqTdrc5UpgLnhJlAUQWDNwL/gdEldGIX/Y=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kX4mH-0002Ws-84; Mon, 26 Oct 2020 16:51:23 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Samuel Wales <samologist@HIDDEN>
Subject: Re: bug#38802: 24.5; emacs unusable, unpredictably, with "k is
 undefined" for every key
References: <CAJcAo8s0BYPWhfnLHdXBQySzLbzUTm+fyeMBh_F7Bv6fJcWpJw@HIDDEN>
 <83eewln7fi.fsf@HIDDEN> <874kxgqapm.fsf@HIDDEN>
 <834kxflukh.fsf@HIDDEN> <87sgkzq20t.fsf@HIDDEN>
 <CAJcAo8sxGzZaoeM2+mS=NGmAJ0hCt3QEc-ANzHxk3CWg5ZZJ_w@HIDDEN>
 <CAJcAo8uzL5GEOPKnQ+U3LNK4M1w_6vr1DTTTYcRfqRFBHN9AOw@HIDDEN>
 <83woabjig5.fsf@HIDDEN>
 <CAJcAo8uf1gHgL04KVxPUg3+N5W8OciNx_HGvyoXi0=L2APFD9Q@HIDDEN>
 <871rithm9s.fsf@HIDDEN>
X-Now-Playing: White Hole's _Pink Album_: "Truth And Abstract Blues"
Date: Mon, 26 Oct 2020 16:51:20 +0100
In-Reply-To: <871rithm9s.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 22 Sep 2020 17:19:27 +0200")
Message-ID: <875z6xyohz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > Samuel Wales
 <samologist@HIDDEN> writes: > >> it is quite rare, but has been around
 for many emacs versions. >> >> i could test my intuition that it might be
 related to type-break by >> setting t [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38802
Cc: michael_heerdegen@HIDDEN, Eli Zaretskii <eliz@HIDDEN>,
 38802 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Samuel Wales <samologist@HIDDEN> writes:
>
>> it is quite rare, but has been around for many emacs versions.
>>
>> i could test my intuition that it might be related to type-break by
>> setting type-break to trigger frequently, then running passwd in the
>> shell, but i don't have it in me atm.
>
> This was some months ago.  Have you seen this problem again?

More information was requested one month ago, but was not given, so
I'm closing this bug report.  If further progress can be made here,
please respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38802; Package emacs. Full text available.

Message received at 38802 <at> debbugs.gnu.org:


Received: (at 38802) by debbugs.gnu.org; 22 Sep 2020 15:19:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 22 11:19:38 2020
Received: from localhost ([127.0.0.1]:32910 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kKk4w-0005UW-HS
	for submit <at> debbugs.gnu.org; Tue, 22 Sep 2020 11:19:38 -0400
Received: from quimby.gnus.org ([95.216.78.240]:32948)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kKk4v-0005UK-Gm
 for 38802 <at> debbugs.gnu.org; Tue, 22 Sep 2020 11:19:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=nu2SYkVD3AeREuwQUyvgUOY6YS0aiIGSOg1Z9WLIFSE=; b=Oo2rQYK+QHCtlOK8tM3TdYU8kJ
 2gYIIK0Akg96IN/KP0YJiGjC/8IeLhSazcYRci9YLbcdwBy+t5A1nZK2QDAvKINEPoKZu5aqwGV4w
 JxJ1qpbhXOXHXeZjf6r4Aqz/r79Xy9QuXeGPICZYX4o0mq/PUzVumc2DLe9f7ubWHiEk=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kKk4n-000446-1f; Tue, 22 Sep 2020 17:19:31 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Samuel Wales <samologist@HIDDEN>
Subject: Re: bug#38802: 24.5; emacs unusable, unpredictably, with "k is
 undefined" for every key
References: <CAJcAo8s0BYPWhfnLHdXBQySzLbzUTm+fyeMBh_F7Bv6fJcWpJw@HIDDEN>
 <83eewln7fi.fsf@HIDDEN> <874kxgqapm.fsf@HIDDEN>
 <834kxflukh.fsf@HIDDEN> <87sgkzq20t.fsf@HIDDEN>
 <CAJcAo8sxGzZaoeM2+mS=NGmAJ0hCt3QEc-ANzHxk3CWg5ZZJ_w@HIDDEN>
 <CAJcAo8uzL5GEOPKnQ+U3LNK4M1w_6vr1DTTTYcRfqRFBHN9AOw@HIDDEN>
 <83woabjig5.fsf@HIDDEN>
 <CAJcAo8uf1gHgL04KVxPUg3+N5W8OciNx_HGvyoXi0=L2APFD9Q@HIDDEN>
X-Now-Playing: Hercules & Love Affair's _Hercules & Love Affair_: "True
 False-Fake Real"
Date: Tue, 22 Sep 2020 17:19:27 +0200
In-Reply-To: <CAJcAo8uf1gHgL04KVxPUg3+N5W8OciNx_HGvyoXi0=L2APFD9Q@HIDDEN>
 (Samuel Wales's message of "Sun, 5 Jan 2020 15:33:49 -0700")
Message-ID: <871rithm9s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Samuel Wales <samologist@HIDDEN> writes: > it is quite
 rare,
 but has been around for many emacs versions. > > i could test my intuition
 that it might be related to type-break by > setting type-break to trigger
 frequently, then running passwd [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38802
Cc: michael_heerdegen@HIDDEN, Eli Zaretskii <eliz@HIDDEN>,
 38802 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Samuel Wales <samologist@HIDDEN> writes:

> it is quite rare, but has been around for many emacs versions.
>
> i could test my intuition that it might be related to type-break by
> setting type-break to trigger frequently, then running passwd in the
> shell, but i don't have it in me atm.

This was some months ago.  Have you seen this problem again?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38802; Package emacs. Full text available.

Message received at 38802 <at> debbugs.gnu.org:


Received: (at 38802) by debbugs.gnu.org; 5 Jan 2020 22:33:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 05 17:33:57 2020
Received: from localhost ([127.0.0.1]:44760 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ioET7-00044p-Cs
	for submit <at> debbugs.gnu.org; Sun, 05 Jan 2020 17:33:57 -0500
Received: from mail-lj1-f180.google.com ([209.85.208.180]:33812)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <samologist@HIDDEN>) id 1ioET6-00044c-7r
 for 38802 <at> debbugs.gnu.org; Sun, 05 Jan 2020 17:33:56 -0500
Received: by mail-lj1-f180.google.com with SMTP id z22so44244769ljg.1
 for <38802 <at> debbugs.gnu.org>; Sun, 05 Jan 2020 14:33:56 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=urGWEJfABZie2BPCKxf7PeeCS4z17EoDZDUaiuWbUkQ=;
 b=ePWygKlucnlnVzNHeOSjyF78Gz0ry7pJbZ4GqFHD40UoJnUpF7ECV6b5sne3z9bEG2
 iFLoXTslg4AvYrwlozFt1W82j7DuffsUibScs1Q821JpLQcIX4OxSOeAGfTWXyqpUugJ
 6IjZHX8NNc0hqBr00EUY/iGYpNTLop7JbV5RIxczB5cSWePggG/7rBWAX21M5K1QsdtH
 BzXnqKSlI6uoHMMJVCBENdQUa/gtXjhTMrfR9FXFT/949TQCsfJo1hH5BMTSJ+2hv7qz
 Q6h9ODVJJJg22J3MQO7b6LN/TNF8FkyvCdUjsfgJ9zUFBPzE6lPtKbtBWUySqYNkUsDJ
 qQMw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=urGWEJfABZie2BPCKxf7PeeCS4z17EoDZDUaiuWbUkQ=;
 b=PwJOec7iNlb07dRnbYwK4Gx6wKOVaP+H0cuzlitXWyXlICqPvmvk+30+dtLU1kjjGB
 uR0h19HbgSLv6zAA5P+l4icrAqgmApjbi9CH2MDx5MUm8BwYrPZ9yRo4XNAojjf5+cKu
 Y7+Ykc4Z002G675ZNk3L1YdYnlxMFKhsEQ/oHjClIH5mnJDDiGCENap/pWNVax6OMDY7
 679LXPuPpi3mvzUyiFrC1podI2PeilX3LR+LxBGc5iX5xlkW3ivLUgkrhoMxqFzsfGvP
 z6Dh0arXUAK1H9JEny3Zn2lIzDj0y2mB8GOq29iuBAOXerGZVXsjSNsjJflOcCojZJX6
 HuAA==
X-Gm-Message-State: APjAAAXemdcHot3+5AIdoQL2yTKy9Fwy7t+6A90cTqMPG586xsuxojHJ
 F3cVUFug5UiOczKtbj5p3tLlLHz2fq+lVjI1HJnnBXVQwuQ=
X-Google-Smtp-Source: APXvYqwx2ni9LvrDfXjseMNQOyl/eMrLOjajH1ibA00YZO5fvwZDZIf4sBRNN0cYz6RdOA6aAkzu24h6YmBOTa++j48=
X-Received: by 2002:a05:651c:118b:: with SMTP id
 w11mr59215548ljo.54.1578263630517; 
 Sun, 05 Jan 2020 14:33:50 -0800 (PST)
MIME-Version: 1.0
Received: by 2002:a19:ed0f:0:0:0:0:0 with HTTP;
 Sun, 5 Jan 2020 14:33:49 -0800 (PST)
In-Reply-To: <83woabjig5.fsf@HIDDEN>
References: <CAJcAo8s0BYPWhfnLHdXBQySzLbzUTm+fyeMBh_F7Bv6fJcWpJw@HIDDEN>
 <83eewln7fi.fsf@HIDDEN> <874kxgqapm.fsf@HIDDEN> <834kxflukh.fsf@HIDDEN>
 <87sgkzq20t.fsf@HIDDEN>
 <CAJcAo8sxGzZaoeM2+mS=NGmAJ0hCt3QEc-ANzHxk3CWg5ZZJ_w@HIDDEN>
 <CAJcAo8uzL5GEOPKnQ+U3LNK4M1w_6vr1DTTTYcRfqRFBHN9AOw@HIDDEN>
 <83woabjig5.fsf@HIDDEN>
From: Samuel Wales <samologist@HIDDEN>
Date: Sun, 5 Jan 2020 15:33:49 -0700
Message-ID: <CAJcAo8uf1gHgL04KVxPUg3+N5W8OciNx_HGvyoXi0=L2APFD9Q@HIDDEN>
Subject: Re: bug#38802: 24.5; emacs unusable, unpredictably, with "k is
 undefined" for every key
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38802
Cc: michael_heerdegen@HIDDEN, 38802 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

it is quite rare, but has been around for many emacs versions.

i could test my intuition that it might be related to type-break by
setting type-break to trigger frequently, then running passwd in the
shell, but i don't have it in me atm.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38802; Package emacs. Full text available.

Message received at 38802 <at> debbugs.gnu.org:


Received: (at 38802) by debbugs.gnu.org; 5 Jan 2020 22:32:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 05 17:32:14 2020
Received: from localhost ([127.0.0.1]:44756 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ioERS-00042I-3k
	for submit <at> debbugs.gnu.org; Sun, 05 Jan 2020 17:32:14 -0500
Received: from mail-lj1-f177.google.com ([209.85.208.177]:43578)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <samologist@HIDDEN>) id 1ioERP-000424-QX
 for 38802 <at> debbugs.gnu.org; Sun, 05 Jan 2020 17:32:12 -0500
Received: by mail-lj1-f177.google.com with SMTP id a13so49046345ljm.10
 for <38802 <at> debbugs.gnu.org>; Sun, 05 Jan 2020 14:32:11 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=QUIv0DtpvTtcSd5MR3BuspiDHj+pIO8EvkCrlo4/fAg=;
 b=l+kh3La9L1YoQhk7koVFZlheLlwcxC5s6tjTd9K1ZoE6lxgdJMVCfYwZ9WWB5uTPCi
 6UHR3fDmmfAk9c6YMetMYoQIZSztgOvTRFb/+N61DA3UfJ2V0DUV44BVCR/yHyy9yC7T
 lAnaeqRZWlUUhDiXxohCxcvhdezg8Fic+kHZp3uFS3mBFkjBHxa/J4lRQ3bGrETsa5yv
 uYTcHD1b/UE/eo2E8gELrwjzN/RTzlcEXCIgJpw4eRFlCP7ctU1Dihq5GA9fmUipJIlu
 MHv3Bq1MzAEMpWdKDjUDMzjSJGnZD6VYDBacqDI0op/H8TTBLUEt3gSF78wlGSk/IwnZ
 CQjw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=QUIv0DtpvTtcSd5MR3BuspiDHj+pIO8EvkCrlo4/fAg=;
 b=oqz2QMlxKKvVz+zyMf2k+GuTjWDhfAUFKeWBTfT7QN6wR9WBgx2I/7xuPOgexGYQke
 IhIBvKtCJVSnT1UjGLbsL4YKUGmZ3mptv+Cua32IgjHSllNoS70PtPxjZpYQte74285x
 nbVuVm7U+6/rntTblnuliyK2FfTPylZkKZcvIjEiTAIK8LLlsWmSZtMPQG8hvqQHDRC0
 QDKXDhIRf0i9BbVtTj0JF7vSpWDwS3sK1Um+Pqtsj19VouUAwU8TUaNKynDSOT2NzuJk
 QuzCSMarEKAtmPUA5aoH8J7mRu/JaebjB5vTVYtrkUyy5BdwBBLnY/Wu6MKshyZ9djQO
 g0sQ==
X-Gm-Message-State: APjAAAWfG7qZc6PbCP+SojfOafc9XCzW8Q1uwU1rpikuGAz4t5JxyuVZ
 Bm8EPugisNxwEteouTijYxA8iP5ve6ISw+bZ7cU=
X-Google-Smtp-Source: APXvYqzfN77KRurbe96gfwYEJY4MkRmyb6i392NjYMumCvIN8bcH99gXV7+/O9MViv0ApN4GSgmbdP/BaPX6P55rHJ0=
X-Received: by 2002:a2e:9942:: with SMTP id r2mr59882716ljj.182.1578263525849; 
 Sun, 05 Jan 2020 14:32:05 -0800 (PST)
MIME-Version: 1.0
Received: by 2002:a19:ed0f:0:0:0:0:0 with HTTP;
 Sun, 5 Jan 2020 14:32:04 -0800 (PST)
In-Reply-To: <87sgkzd8j7.fsf@HIDDEN>
References: <CAJcAo8s0BYPWhfnLHdXBQySzLbzUTm+fyeMBh_F7Bv6fJcWpJw@HIDDEN>
 <83eewln7fi.fsf@HIDDEN> <874kxgqapm.fsf@HIDDEN> <834kxflukh.fsf@HIDDEN>
 <87sgkzq20t.fsf@HIDDEN>
 <CAJcAo8sxGzZaoeM2+mS=NGmAJ0hCt3QEc-ANzHxk3CWg5ZZJ_w@HIDDEN>
 <CAJcAo8uzL5GEOPKnQ+U3LNK4M1w_6vr1DTTTYcRfqRFBHN9AOw@HIDDEN>
 <CAJcAo8v+bmab__44P2eg32tEondKj+++0FWsnGdo7-DGakJ4fQ@HIDDEN>
 <87sgkzd8j7.fsf@HIDDEN>
From: Samuel Wales <samologist@HIDDEN>
Date: Sun, 5 Jan 2020 15:32:04 -0700
Message-ID: <CAJcAo8simBCWUv_+6xq0Bpyzf3P2ESGz47cJ2-cqUSUGDn9oNA@HIDDEN>
Subject: Re: bug#38802: 24.5; emacs unusable, unpredictably, with "k is
 undefined" for every key
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38802
Cc: Eli Zaretskii <eliz@HIDDEN>, 38802 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

your english is very good and your politeness impeccable.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38802; Package emacs. Full text available.

Message received at 38802 <at> debbugs.gnu.org:


Received: (at 38802) by debbugs.gnu.org; 1 Jan 2020 15:37:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 01 10:37:57 2020
Received: from localhost ([127.0.0.1]:37392 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1img4K-0000cW-SO
	for submit <at> debbugs.gnu.org; Wed, 01 Jan 2020 10:37:57 -0500
Received: from eggs.gnu.org ([209.51.188.92]:49682)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1img4J-0000cE-5E
 for 38802 <at> debbugs.gnu.org; Wed, 01 Jan 2020 10:37:55 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37547)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1img4D-0002hk-Qj; Wed, 01 Jan 2020 10:37:49 -0500
Received: from [176.228.60.248] (port=1649 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1img4D-0003Z0-AD; Wed, 01 Jan 2020 10:37:49 -0500
Date: Wed, 01 Jan 2020 17:38:02 +0200
Message-Id: <83woabjig5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Samuel Wales <samologist@HIDDEN>
In-reply-to: <CAJcAo8uzL5GEOPKnQ+U3LNK4M1w_6vr1DTTTYcRfqRFBHN9AOw@HIDDEN>
 (message from Samuel Wales on Tue, 31 Dec 2019 22:39:37 -0700)
Subject: Re: bug#38802: 24.5; emacs unusable, unpredictably, with "k is
 undefined" for every key
References: <CAJcAo8s0BYPWhfnLHdXBQySzLbzUTm+fyeMBh_F7Bv6fJcWpJw@HIDDEN>
 <83eewln7fi.fsf@HIDDEN> <874kxgqapm.fsf@HIDDEN> <834kxflukh.fsf@HIDDEN>
 <87sgkzq20t.fsf@HIDDEN>
 <CAJcAo8sxGzZaoeM2+mS=NGmAJ0hCt3QEc-ANzHxk3CWg5ZZJ_w@HIDDEN>
 <CAJcAo8uzL5GEOPKnQ+U3LNK4M1w_6vr1DTTTYcRfqRFBHN9AOw@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38802
Cc: michael_heerdegen@HIDDEN, 38802 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Samuel Wales <samologist@HIDDEN>
> Date: Tue, 31 Dec 2019 22:39:37 -0700
> Cc: Eli Zaretskii <eliz@HIDDEN>, 38802 <at> debbugs.gnu.org
> 
> i will try to post a screenshot next time.  it could be quite a long time.

That's OK.  If this problem happens to others, they might come up with
data sooner; if not, it means the problem is rare enough for it not to
be urgent.

Btw, if you can afford that, I'd suggest to upgrade to a newer version
of Emacs, because perhaps this problem was already solved.  The
current version is 26.3, and 27.1 will start its pretest soon.

> any suggestions of what to put in for a sigusr1 or sigusr2  would be
> interesting.

I'd suggest to use debug-on-event.  You can read about it in the ELisp
manual, node "Error Debugging".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38802; Package emacs. Full text available.

Message received at 38802 <at> debbugs.gnu.org:


Received: (at 38802) by debbugs.gnu.org; 1 Jan 2020 05:56:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 01 00:56:37 2020
Received: from localhost ([127.0.0.1]:35488 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1imWzk-0001if-TT
	for submit <at> debbugs.gnu.org; Wed, 01 Jan 2020 00:56:37 -0500
Received: from mout.web.de ([212.227.15.14]:44457)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1imWzi-0001iS-Gm
 for 38802 <at> debbugs.gnu.org; Wed, 01 Jan 2020 00:56:34 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1577858187;
 bh=uw6CnoRyTQtNS0vLm3yQJzH1xJlslx0QAZDEHIaxWJo=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=ru4nJbgiFMs95dFHYx7BeeZTbrSu7R25+b4+Q5+X44q6u7UNZTiDuDT61qFVxGib2
 j5e4CesA7sggkSoh7+O9Adkd1HIzDIkjiMW5xdeoBry+TGubfwrE60WoAc+5SegXSJ
 R6vk1I8s6eUwz1uvs04L2A6TVZBHJqWHmSr3kXjQ=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([188.99.160.184]) by smtp.web.de (mrweb003
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0Lc8aj-1jTnqA0YCr-00jcBj; Wed, 01
 Jan 2020 06:56:27 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Samuel Wales <samologist@HIDDEN>
Subject: Re: bug#38802: 24.5; emacs unusable, unpredictably, with "k is
 undefined" for every key
References: <CAJcAo8s0BYPWhfnLHdXBQySzLbzUTm+fyeMBh_F7Bv6fJcWpJw@HIDDEN>
 <83eewln7fi.fsf@HIDDEN> <874kxgqapm.fsf@HIDDEN>
 <834kxflukh.fsf@HIDDEN> <87sgkzq20t.fsf@HIDDEN>
 <CAJcAo8sxGzZaoeM2+mS=NGmAJ0hCt3QEc-ANzHxk3CWg5ZZJ_w@HIDDEN>
 <CAJcAo8uzL5GEOPKnQ+U3LNK4M1w_6vr1DTTTYcRfqRFBHN9AOw@HIDDEN>
 <CAJcAo8v+bmab__44P2eg32tEondKj+++0FWsnGdo7-DGakJ4fQ@HIDDEN>
Date: Wed, 01 Jan 2020 06:56:28 +0100
In-Reply-To: <CAJcAo8v+bmab__44P2eg32tEondKj+++0FWsnGdo7-DGakJ4fQ@HIDDEN>
 (Samuel Wales's message of "Tue, 31 Dec 2019 22:43:11 -0700")
Message-ID: <87sgkzd8j7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:k22i9aU6Eqn0o9lcinJ/J1N+yfBvbceggZe8f9392pYIszz5bro
 bgLgd0//yOebCF4JpWTEXleO2EqybX2BYSkB8T1zQaXIEdLyrNsTb/t8n4U9X5oF5AMqjdC
 Q+g6rifitJHuzF6HFSC1Isr2rX81N+AF6yz+8hYc7IVcmfKy5CUZhuKDz5U9Smqiq7/mc9M
 iYAoaAFPsdi+vcD9Vyp9Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:xU/mL/dLFKY=:qWzAOImT6dh3ikVn1tMoBR
 C9Jg38mj26htCr/Mv9PIm4B3lrKD9o6is/Jh+hkZD5nqgdkXqz/jDkFiaQLx4uGNxWjI5JqDx
 ULCOXcpq6UCMLkDejwMjQPCXjggPcW/yNtM50/QsnAPYCPIuYT089Xrop3BXk1eAjpCJHDmJv
 b0euUPFF2ANRGDFatOchYoC9TxBft0hXugvD/B+KOvMD2gJgjP3DQgZcgWKHbxO6DGWdeUdUq
 opEfEw7i8ylXo+6dTWnJ6mmz0EMqSFuLw5+DgnfJoyjWSyvyGvvw6sMD2aNuUsUWFmcidzTsm
 iIaWGJBtwQ9oN7IvI4pBc9Lxr6Vo4if8Ry1LaqsdiZgPsCsqQ+/AMOi9vZGjMZdlsPIQ/hmDq
 xgCXBS/DGghPix4o4EjxxF+fn1xa9bprstJKx4CuZR7HkdLl/gE8nnA7ExXdYmSkCh+h/eK+9
 edYZI7oNfqdE42bWwfsGyuNupjjyeduCPDDfO+fzRRICpN18Q3B8PxCki07pVucNNAsb099qz
 NeXb6y8/VBUhMCqEQyBaZa+6SgC8LE2iwqmheD4EtLqLkIckijmp5gB2BFobkTWgYU1wdTxLV
 e0yTDivN58/o+8TpkzZ1V9Fs1hmJfu4nX0sA7PwsklI68m4XIMKXQ7sVy5imSwwKcAOrk0Cs3
 K3cAFevaxX8NBKnVq05C6o+QIAx+aQjOQFOKwbhz+/XaEYEDNyRWHRJ3TJwasTJnhsk2az2Ng
 bUJEIFvQ/Sh7Hv/fPo2FMiM77mwf9RvD4MomJBb/KqdyLQgAfOQGcgkdiGLSIQecDdfVbndnO
 Cb3U3AJNQsJsI0bnJOBsRkx9Ty8afr97Md0FwxJvi8gyUbgu0TztodLFoe8VffxsTLuXtH7FT
 toU+mA9Dks508jtPFRSp7PpFqJl6G9X0nWcH1Ii0r8KDzqgx7hZWPZ//9Wy0Zh27yqwlX6br2
 u+DC0d4rkgbozfo9zTdV6VsyeZkiTWROGwOvXS1vS1nNe/VxMR2t1YcCRH9x0AOtVg5vIuIRU
 786/FQxX4uhbduMvcqwqCXagTwOfM6baB8W39jZnGtAl30y0PrSjQ+pH93PDiXMUpbKOSDok9
 SaQjXcMF26fOaSg9PpTBB7Ch1Y0nnYSgkuP4y13jqfQSmmdTj8BQ6RDwj9Aswu4LlYG/AZ73P
 IaRJqoUC8kqbN0za10cEiC2VNiEdgdtejuyJF+oyS+IJKKWIxBX+s5Nir6lBNNTt7EQO3xH8u
 D5ALwm0kyRj7qrwElsl3C66OdT0/GJa0ZNPqAdZf/cCMOgZ0dOM5jZsbWP9I=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38802
Cc: Eli Zaretskii <eliz@HIDDEN>, 38802 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Samuel Wales <samologist@HIDDEN> writes:

> i think i misunderstood "can be of more help" to mean "is not helping"
> instead of "can be of more help than me".  i get it now :).

Indeed - and I'm very sorry for the unintentional insult :-(  I guess I
really have to improve my English until something really bad happens one
day...

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38802; Package emacs. Full text available.

Message received at 38802 <at> debbugs.gnu.org:


Received: (at 38802) by debbugs.gnu.org; 1 Jan 2020 05:43:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 01 00:43:20 2020
Received: from localhost ([127.0.0.1]:35484 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1imWmu-0001Ng-Na
	for submit <at> debbugs.gnu.org; Wed, 01 Jan 2020 00:43:20 -0500
Received: from mail-lf1-f53.google.com ([209.85.167.53]:36272)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <samologist@HIDDEN>) id 1imWms-0001NO-Bi
 for 38802 <at> debbugs.gnu.org; Wed, 01 Jan 2020 00:43:18 -0500
Received: by mail-lf1-f53.google.com with SMTP id n12so28005816lfe.3
 for <38802 <at> debbugs.gnu.org>; Tue, 31 Dec 2019 21:43:18 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=yBdoq81v85KsF608Ia+AhrBUwXYZ+4P5yHxqtjqvJ8E=;
 b=RNFb60fATB8vvKTb1gCVQ1iN379q7KJ4Lrvq65Sr8Vx4V1jzDO3iSebTLQtfcmUP//
 hyjz/2k8GPWJEyP8rIuZbydFkpN+h6sO839jE0t8zmbmftBXv5Kz4FClHyyucEHP1Dyt
 si89wtjt3MI16p7jD/CShr5oI2BuWFxHbkZwGovlKQ1JoCwSTzadkZAjfqGq7kAb5XnE
 FstDOE3y282yL5KrvBtSIP3m5uoIbAgRD07pFYe9spBmK1W57tiIQOgr+ky7re+dY+S+
 +KJThn4umi40Q7a5EboiSQAgtxW4HVtGSHBw0Qp59Ix8ZFSzsuJNoOvLdRtdtmXfQM1K
 zFog==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=yBdoq81v85KsF608Ia+AhrBUwXYZ+4P5yHxqtjqvJ8E=;
 b=PlEUlNeR7G8yXfjonMcB37kDlMVJxm4qQBKWPxWsM7CuFPfqSJl2xb+bLzvWRg/8zE
 bXCvKHIMCM4psYxUIR0Nini6GYrGljvDDBiKR8/G0fLjd3S5PgNU4A0f9Htbj+gC5ZmI
 QGYHeb/dGYKp0QymyKOIaBRhov3CCeckdU8cx/uu4RljfO1qcCGYtqdqYmZJSiG3gPZI
 esxa/fY2mbU8W3UxGbjwZR6hGDBhugrQBkcs1nWqPQmutweDFqN0a5SBodYnTwqXc4vP
 AN/Ck9PRyV12KtLg1J4yrFHesVWMmU10nQWyPoGBPkctMT9p0nCIhaV9pgOUs/2ac0KG
 FHHQ==
X-Gm-Message-State: APjAAAVJ9CeMv01Bi82DukrUhBXs2Gyop3GbhcFQfi41z7wXUSyb4Pwm
 8Ihep9O8lne7+lYB2Jgw0u9XIjl1P5RFXvhvzTM=
X-Google-Smtp-Source: APXvYqzMq8LRQUUBbm6AfKd1Ln0OtxVTqkJuy8M+y2EIdqN1oDfKvCphvlE7ykH7+t2Hmg9R4BOtz+FeOcIaIpCmbC8=
X-Received: by 2002:a19:f519:: with SMTP id j25mr43922748lfb.41.1577857392434; 
 Tue, 31 Dec 2019 21:43:12 -0800 (PST)
MIME-Version: 1.0
Received: by 2002:a19:ed0f:0:0:0:0:0 with HTTP; Tue, 31 Dec 2019 21:43:11
 -0800 (PST)
In-Reply-To: <CAJcAo8uzL5GEOPKnQ+U3LNK4M1w_6vr1DTTTYcRfqRFBHN9AOw@HIDDEN>
References: <CAJcAo8s0BYPWhfnLHdXBQySzLbzUTm+fyeMBh_F7Bv6fJcWpJw@HIDDEN>
 <83eewln7fi.fsf@HIDDEN> <874kxgqapm.fsf@HIDDEN> <834kxflukh.fsf@HIDDEN>
 <87sgkzq20t.fsf@HIDDEN>
 <CAJcAo8sxGzZaoeM2+mS=NGmAJ0hCt3QEc-ANzHxk3CWg5ZZJ_w@HIDDEN>
 <CAJcAo8uzL5GEOPKnQ+U3LNK4M1w_6vr1DTTTYcRfqRFBHN9AOw@HIDDEN>
From: Samuel Wales <samologist@HIDDEN>
Date: Tue, 31 Dec 2019 22:43:11 -0700
Message-ID: <CAJcAo8v+bmab__44P2eg32tEondKj+++0FWsnGdo7-DGakJ4fQ@HIDDEN>
Subject: Re: bug#38802: 24.5; emacs unusable, unpredictably, with "k is
 undefined" for every key
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38802
Cc: Eli Zaretskii <eliz@HIDDEN>, 38802 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

i think i misunderstood "can be of more help" to mean "is not helping"
instead of "can be of more help than me".  i get it now :).

although there are few things i can do.  :)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38802; Package emacs. Full text available.

Message received at 38802 <at> debbugs.gnu.org:


Received: (at 38802) by debbugs.gnu.org; 1 Jan 2020 05:39:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 01 00:39:46 2020
Received: from localhost ([127.0.0.1]:35479 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1imWjS-0001HJ-9J
	for submit <at> debbugs.gnu.org; Wed, 01 Jan 2020 00:39:46 -0500
Received: from mail-lf1-f43.google.com ([209.85.167.43]:43617)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <samologist@HIDDEN>) id 1imWjQ-0001H3-OJ
 for 38802 <at> debbugs.gnu.org; Wed, 01 Jan 2020 00:39:45 -0500
Received: by mail-lf1-f43.google.com with SMTP id 9so27993064lfq.10
 for <38802 <at> debbugs.gnu.org>; Tue, 31 Dec 2019 21:39:44 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=BGyMJimn43b4eQJhD4OGetfbTyF0L0cbWptcfin2+Fk=;
 b=nu9KmPvwh2xDy9G/aX0TqbQQsj5gWJbFm1KFWRgyhgmZkuRuAXF8t/k4P9vaU31fAa
 hey9cbOpVZ2PhvL571ljh9XOR/7jAWjc2KgWCgDOBeeWKc9YhGGMs9+y9iqOduGnXmI3
 lGQxKe5Q4btKRNnvX20/eB6tqObETzhmToKnz7QsyB46rWWEPRtHXxgMb+CAXKerr1HZ
 h1p46bMa/0TD0iKO5G+Nud6RIgB/bRcDm7cnXKNV/1ZNCOg0sFJ8f1P4iETf6Zw3vKtE
 vr3kyorc61Q0f9ywtytdpvj5Z2QpHJ3017NTHRYVFK4EqleCgCVgRJobl5VutAFWsGjV
 Y12A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=BGyMJimn43b4eQJhD4OGetfbTyF0L0cbWptcfin2+Fk=;
 b=tQasPXN4ab7CTK7y7yWSV5vwYMrauUmxBCHITt3qf7v+KY94DgPzOahbBKJSFJoqjG
 SAqlr0JlP6cMTjXIXAlUY7Xwa0WTgHbsq4AL5Nn3AZS90UkivXhvLrOqNfTxv2rLLMQS
 eXBrdeKJtDifAPczEi8jbad/1gjfoDXlLxTbKXBue5NwOKwanAPUgxHspyH+KUmUVzjf
 WgARmX+DxtY/rsr6oK4Hr8ULh8P6V4PTzwk7yw+xAQe35ffgNDX5170Mn/rXc6KTdDb6
 sWaGocTLxipo+rIdtDQ2gdoZUDo0BdUEEKh3mSAYhj2vW/z+V+WmQfgFlbpN3TCf6tgS
 LHmQ==
X-Gm-Message-State: APjAAAWvOwGRioyCRdG1B2yqhnxlM1jaT1rJ+gVrxN2XwEj1S2t9XFkp
 tTYKqmFZvCga69aqAgYzRM275ktHceTaTe1qFeY=
X-Google-Smtp-Source: APXvYqzikSf3M5LLd5O3FFWu8TgWvwCjhsB81VjplEu4JRYfHFmIkPuLeyYUtIEq28oPgLjazKbUaWBCOfKZKpOLqSA=
X-Received: by 2002:ac2:4194:: with SMTP id z20mr44140858lfh.20.1577857178723; 
 Tue, 31 Dec 2019 21:39:38 -0800 (PST)
MIME-Version: 1.0
Received: by 2002:a19:ed0f:0:0:0:0:0 with HTTP; Tue, 31 Dec 2019 21:39:37
 -0800 (PST)
In-Reply-To: <CAJcAo8sxGzZaoeM2+mS=NGmAJ0hCt3QEc-ANzHxk3CWg5ZZJ_w@HIDDEN>
References: <CAJcAo8s0BYPWhfnLHdXBQySzLbzUTm+fyeMBh_F7Bv6fJcWpJw@HIDDEN>
 <83eewln7fi.fsf@HIDDEN> <874kxgqapm.fsf@HIDDEN> <834kxflukh.fsf@HIDDEN>
 <87sgkzq20t.fsf@HIDDEN>
 <CAJcAo8sxGzZaoeM2+mS=NGmAJ0hCt3QEc-ANzHxk3CWg5ZZJ_w@HIDDEN>
From: Samuel Wales <samologist@HIDDEN>
Date: Tue, 31 Dec 2019 22:39:37 -0700
Message-ID: <CAJcAo8uzL5GEOPKnQ+U3LNK4M1w_6vr1DTTTYcRfqRFBHN9AOw@HIDDEN>
Subject: Re: bug#38802: 24.5; emacs unusable, unpredictably, with "k is
 undefined" for every key
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38802
Cc: Eli Zaretskii <eliz@HIDDEN>, 38802 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

i will try to post a screenshot next time.  it could be quite a long time.

i think i forgot to mention that the password prompt, in the most
recent instance, was triggered by shell mode.

any suggestions of what to put in for a sigusr1 or sigusr2  would be
interesting.  i could put debug there maybe.  or find out what modes
are active, or the values of hooks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38802; Package emacs. Full text available.

Message received at 38802 <at> debbugs.gnu.org:


Received: (at 38802) by debbugs.gnu.org; 1 Jan 2020 05:30:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 01 00:30:05 2020
Received: from localhost ([127.0.0.1]:35470 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1imWa5-000109-3G
	for submit <at> debbugs.gnu.org; Wed, 01 Jan 2020 00:30:05 -0500
Received: from mail-lf1-f47.google.com ([209.85.167.47]:41541)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <samologist@HIDDEN>) id 1imWa4-0000zA-1Z
 for 38802 <at> debbugs.gnu.org; Wed, 01 Jan 2020 00:30:04 -0500
Received: by mail-lf1-f47.google.com with SMTP id m30so27984555lfp.8
 for <38802 <at> debbugs.gnu.org>; Tue, 31 Dec 2019 21:30:03 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=5SQwjK3oY3NQADMLi9n0dLAnuTFK6WshSc4Q/88z5vI=;
 b=dFcDwfwiw91TPsyeQYXDELUA69FRbzxHQqfHddLBZvPkEPYfpt8Pjj/ajkKx/UaQYs
 6HwVSEGfuJRMSruHBOkMv5fF/LQWGpVsf3a2uHYsR0OKEtN65kSbGSpebFFE/Htqj6oa
 Lbbs+LNij9P/2UYwYbij0wmfI7M97eTMFtUiJ46E0XPpepRAFh+jtqh4whscOqNDLLv8
 7LElTi8/vy0TWebwjNch6vpTBPyKsA8Uc6ctavgVpIJPnpjwhHf/2pbG7BlYjWjAGvhN
 xGSetVaxNr7PtSsKfFw9YZstbapBzwGTgxWqtTuR7lNEYa295n9lET2GPVwrpq1Rm5jf
 qknQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=5SQwjK3oY3NQADMLi9n0dLAnuTFK6WshSc4Q/88z5vI=;
 b=oqxet2F1otXCos7VJfN/aWCo+HCsCMtuskTzBeG4ANCHKJNa2w97zFjHw8mOecl69e
 mrHYC5altxKJ/O0e94jUY5OBG+y7PooLrAvbAIqkZ3D+tSrSF987gX0HxCW070MUHW77
 u3pP/nKi1qG8iNsEkY6EV0JH/rldneJQa1zRZYhcYMayeLdE3NChwbVJKjBj4cIoH6BI
 sFRpleZsOwwDzqnhXa82qbUt2y1gwYLBFjHtq/CjTmuzHUmBsowuzlY6FXR+Oi24XX6r
 1mxeted2N/WKBVTEabg9mma0Rn86Sv6q3E11AnDQs1AHvlPbQsZzzaNia6WI7/ggyAuu
 WpsA==
X-Gm-Message-State: APjAAAVar5yZKUi65P0uC1Cc3GvZjtSreW1F0RjBhaqXFZlNXC3QTvXh
 KLXlT15BX01Rt24TlpmBh09GXHm3w1d3TyOMcoA=
X-Google-Smtp-Source: APXvYqxcZN4MLI4ayoU0k0ptJuS4gV8/eFCkE887nx18sglsC/8BBF1vbMDu2nElpD4BPYzzOsEAiXZikp/cXNnjQnQ=
X-Received: by 2002:a19:f519:: with SMTP id j25mr43886468lfb.41.1577856597857; 
 Tue, 31 Dec 2019 21:29:57 -0800 (PST)
MIME-Version: 1.0
Received: by 2002:a19:ed0f:0:0:0:0:0 with HTTP; Tue, 31 Dec 2019 21:29:57
 -0800 (PST)
In-Reply-To: <87sgkzq20t.fsf@HIDDEN>
References: <CAJcAo8s0BYPWhfnLHdXBQySzLbzUTm+fyeMBh_F7Bv6fJcWpJw@HIDDEN>
 <83eewln7fi.fsf@HIDDEN> <874kxgqapm.fsf@HIDDEN> <834kxflukh.fsf@HIDDEN>
 <87sgkzq20t.fsf@HIDDEN>
From: Samuel Wales <samologist@HIDDEN>
Date: Tue, 31 Dec 2019 22:29:57 -0700
Message-ID: <CAJcAo8sxGzZaoeM2+mS=NGmAJ0hCt3QEc-ANzHxk3CWg5ZZJ_w@HIDDEN>
Subject: Re: bug#38802: 24.5; emacs unusable, unpredictably, with "k is
 undefined" for every key
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38802
Cc: Eli Zaretskii <eliz@HIDDEN>, 38802 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

i'd be delighted to be of more help.  however, besides posting a
screenshot next time it occurs [which is infrequent enough that it
could be /quite/ a long time], what would you suggest i do to be of
more help?

i have no idea why you said that.  i thought it could be useful to
somebody to post the bug report, in case it jogs somebody's memory of
code interaction, although there wasn't much to it.  i don't want to
regret doing so.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38802; Package emacs. Full text available.

Message received at 38802 <at> debbugs.gnu.org:


Received: (at 38802) by debbugs.gnu.org; 1 Jan 2020 03:38:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 31 22:38:49 2019
Received: from localhost ([127.0.0.1]:35428 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1imUqP-0006GF-7S
	for submit <at> debbugs.gnu.org; Tue, 31 Dec 2019 22:38:49 -0500
Received: from mout.web.de ([217.72.192.78]:57749)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1imUqO-0006G0-6P
 for 38802 <at> debbugs.gnu.org; Tue, 31 Dec 2019 22:38:48 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1577849921;
 bh=VA2YlD87K/4cLs9xgGnjymVfXeWZB7ZLyqz/QJ9lg2g=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=i1Lsd3tE7f6F82yjrf1Ae5yCKu9taRvJtVHGmCCwNzd/bnzRUeUS3rjX4BINgflbr
 VpO080iiUDUF4x1A0VNaIIBVv0r983vzkH/Sgx+3MB0VIYpLbceIAomMkW4lAiVy8C
 gDQT7/tu3lYU7lBjDMd205nBRCZz55304IvV+Nm4=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([188.99.160.184]) by smtp.web.de (mrweb103
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0MQelV-1j9yii0aOD-00U2NW; Wed, 01
 Jan 2020 04:38:41 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38802: 24.5; emacs unusable, unpredictably, with "k is
 undefined" for every key
References: <CAJcAo8s0BYPWhfnLHdXBQySzLbzUTm+fyeMBh_F7Bv6fJcWpJw@HIDDEN>
 <83eewln7fi.fsf@HIDDEN> <874kxgqapm.fsf@HIDDEN>
 <834kxflukh.fsf@HIDDEN>
Date: Wed, 01 Jan 2020 04:38:42 +0100
In-Reply-To: <834kxflukh.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 01 Jan
 2020 05:33:18 +0200")
Message-ID: <87sgkzq20t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:bsUj/sw4W6x+fJPGS/jNqT4pV3fvho4SeAt0xvCUk1qN2kJi8JE
 h7tmdbaJtzhczoEPpczW3IK5/mavT47ERiz035A8tRI4IlUjlKuvTlPKmMneowmAYmYA5HU
 uY7qn+MpzIKUbwe/5W03YsXZLoTXo4IyXPF4ZBX8s/UFmtqAr0NA5Nqn7U/09U1U7QLYoqN
 0v1GGItq+HxMPrid8Vz0Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:529CB+O/n3I=:J9a0ORVhdD0Xo1tuKbys2i
 HG/kkldlEnjE/6NoR4/am/Y2bvxHtzhRgb/CzvwCi+vFcC3Oj7JxSMBn7H5rJcx3rewvMvfV1
 hZYxUH95Yba9pn0JUTeMjNO7LC4vzWprVOt2x4/JfQDtoBWKmu38n4PD28kHEw2WZNu2tCJYg
 YTAmeCauTc2AXZ6nW23Qx/f12sU3ayUEcUP8JdvrfdyK2ztIOFa2WiG2BfrdyaSeVHNfpXAKC
 BV5B1p9alj58Ta8JHXlZzGL8503yH3GVyYY+9k+YlFmMo0pf7GTanKLVJyA4oSIb0x7im+WHd
 GyXSo7VSiLc4deTxhaUAMt+L6sD+vEyRskFsCQju3dm8ZzF9RVhL4JfBAvUnNLWpD8t3mIRdm
 WnDD7S+bTY+2WBbSeUbb7u8+4tvHc+4qKbyj/YpMXPP/j8yZvHDPzMRoEq/Teh+XJIP958/eb
 zd44I69QFN8RPYESd0HyqzRbdzchqmRrRxAUlJYpkkiA/w2UUE7JWpu025b6ifS1/7fAlwhbx
 0SKlc6XDU9w5/zvEoSeDmW+4ERq4zQlI4jRoTgjKX5WMO48SItr4zF5FMxmmMX0hkHmt5abhI
 gkJfT440rJvYwML/nb34ZYvr/gpKw6h+4h3GUwbH/d0aZkkd2ohWg803clj7rNY5VJI9hEvRq
 NzIk47yonfinZyA+kblNtivWZ1t6nPiG9U0oKI6tY2iG71g0wkrG8bmAClL3QDwgurdEacuMB
 MvcQkHJLo2vX5Pd1B7oTL5yAiriFfuDuf2P/z7QGUDEkLCZns+HBCOtBAJyBZI7Wz2nGW7K5r
 Ke7P2LCDAAbQhL6DhfHePNTfHt2bhJbKF2Fx9zpEbFomYvJ6fqM/BUiRjCrg6eMx8OuJFgfWZ
 0snkz+ETCwTkgc8GXc/68JAWGlQkNhyqV7X6G2X8HVpaYDieDb8MPK4wxGEuqI/3wsZtQt0gq
 i1sKDjNO56sYigzz74gY01MLN7e1eK+AlSka0eF/chI0/99vniph8V8vAFI6BF0fR5Oa3MNie
 ZmasKU+ZwbR6cQjJy6E4B0JZwB7TvLpislcOTqlpgMK82QJeFM6qH5tj8pQVI5gd+3t59Kfy+
 ALLYROYARuWgDm7D5LpC/ZlflPUsBeR94dr6OZIE8WVRj/XAxs4PMgmaSlWXPrc5wg9/kRzR8
 aB71k+l3SwGzQHuPSKdYqmkC+l4J99vCj4bZAV3VbdMxINw8CICMJdqTqbJcMaDCH3QfJMYDk
 +nJIEbokLXW4oYf7jxcyCxKqJA2qjKL13acH/iYIGM68/bMMZ3bUH39e7Wno=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38802
Cc: samologist@HIDDEN, 38802 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> You are saying that sometimes y-or-n-p doesn't react to C-g?

No, when that happens, the y-or-n-p prompt is gone.  Everything looks
like normal top level, but all keys are "undefined" (maybe all except
"y" and "n"?).

I can't be more specific, haven't seen the problem for a long time now.
AFAIR that happened when I somehow stepped out of the prompt, e.g. by
forcing Emacs into debugger, or using Edebug.  I don't recall exactly,
and maybe it is unrelated, but there are similarities to what the OP
described.  Too bad I currently can't reproduce the issue I mean.  I
think the OP can be of more help.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38802; Package emacs. Full text available.

Message received at 38802 <at> debbugs.gnu.org:


Received: (at 38802) by debbugs.gnu.org; 1 Jan 2020 03:33:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 31 22:33:14 2019
Received: from localhost ([127.0.0.1]:35419 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1imUl0-00066E-88
	for submit <at> debbugs.gnu.org; Tue, 31 Dec 2019 22:33:14 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52388)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1imUky-00065z-Bd
 for 38802 <at> debbugs.gnu.org; Tue, 31 Dec 2019 22:33:12 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59455)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1imUks-0007Jj-VT; Tue, 31 Dec 2019 22:33:07 -0500
Received: from [176.228.60.248] (port=1579 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1imUkr-0000vm-Sq; Tue, 31 Dec 2019 22:33:06 -0500
Date: Wed, 01 Jan 2020 05:33:18 +0200
Message-Id: <834kxflukh.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
In-reply-to: <874kxgqapm.fsf@HIDDEN> (message from Michael Heerdegen on Wed,
 01 Jan 2020 01:31:01 +0100)
Subject: Re: bug#38802: 24.5; emacs unusable, unpredictably, with "k is
 undefined" for every key
References: <CAJcAo8s0BYPWhfnLHdXBQySzLbzUTm+fyeMBh_F7Bv6fJcWpJw@HIDDEN>
 <83eewln7fi.fsf@HIDDEN> <874kxgqapm.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38802
Cc: samologist@HIDDEN, 38802 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Michael Heerdegen <michael_heerdegen@HIDDEN>
> Cc: Samuel Wales <samologist@HIDDEN>,  38802 <at> debbugs.gnu.org
> Date: Wed, 01 Jan 2020 01:31:01 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Can you show a screenshot of how your Emacs session looks when this
> > happens?
> 
> Dunno if it's related, but I sometimes saw something similar when I had
> been kicked out of an y-or-n-p prompt somehow, AFAIR.  But I'm currently
> not able to provoke something like this.

You are saying that sometimes y-or-n-p doesn't react to C-g?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38802; Package emacs. Full text available.

Message received at 38802 <at> debbugs.gnu.org:


Received: (at 38802) by debbugs.gnu.org; 1 Jan 2020 03:32:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 31 22:32:34 2019
Received: from localhost ([127.0.0.1]:35415 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1imUkM-00064h-0B
	for submit <at> debbugs.gnu.org; Tue, 31 Dec 2019 22:32:34 -0500
Received: from eggs.gnu.org ([209.51.188.92]:50921)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1imUkK-00064T-68
 for 38802 <at> debbugs.gnu.org; Tue, 31 Dec 2019 22:32:33 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59450)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1imUkE-000509-OC; Tue, 31 Dec 2019 22:32:26 -0500
Received: from [176.228.60.248] (port=1538 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1imUkE-0000td-79; Tue, 31 Dec 2019 22:32:26 -0500
Date: Wed, 01 Jan 2020 05:32:38 +0200
Message-Id: <835zhvlull.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Samuel Wales <samologist@HIDDEN>
In-reply-to: <CAJcAo8sNP2Y5wQk-OuHY1siHOzV86yzjaAXmwE_Vr=EWjhShAw@HIDDEN>
 (message from Samuel Wales on Tue, 31 Dec 2019 15:39:36 -0700)
Subject: Re: bug#38802: 24.5; emacs unusable, unpredictably, with "k is
 undefined" for every key
References: <CAJcAo8s0BYPWhfnLHdXBQySzLbzUTm+fyeMBh_F7Bv6fJcWpJw@HIDDEN>
 <83eewln7fi.fsf@HIDDEN>
 <CAJcAo8sNP2Y5wQk-OuHY1siHOzV86yzjaAXmwE_Vr=EWjhShAw@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38802
Cc: 38802 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Samuel Wales <samologist@HIDDEN>
> Date: Tue, 31 Dec 2019 15:39:36 -0700
> Cc: 38802 <at> debbugs.gnu.org
> 
> On 12/30/19, Eli Zaretskii <eliz@HIDDEN> wrote:
> > Can you show a screenshot of how your Emacs session looks when this
> > happens?
> 
> it is quite infrequent.  basically, last time, the screen showed the
> buffer, password prompt in minibuffer, and then whenever you type any
> key, it says that key is undefined.

Please post a screenshot next time it happens.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38802; Package emacs. Full text available.

Message received at 38802 <at> debbugs.gnu.org:


Received: (at 38802) by debbugs.gnu.org; 1 Jan 2020 00:31:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 31 19:31:11 2019
Received: from localhost ([127.0.0.1]:35332 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1imRup-0001X8-8S
	for submit <at> debbugs.gnu.org; Tue, 31 Dec 2019 19:31:11 -0500
Received: from mout.web.de ([212.227.15.14]:51869)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1imRum-0001Wt-DV
 for 38802 <at> debbugs.gnu.org; Tue, 31 Dec 2019 19:31:09 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1577838660;
 bh=vsmaNP1TK7g0lgAcENPPRpoFehVMb9rrue22hsXwT+U=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=aOcK5R/KmoJDCuv2b3BvhvhpIRlAp31WzrQuYt0tIRANaeRkI1OInKJvXh3VBjG2D
 B8xB3lUsNWQqHdHtJxJ+VAFOgfDsATqPP62v+XGIAlWF4r/Gel+ZLSC9Sghmqa2S9w
 s41SD29DbW4g0IMEPOnxybj8kIucbPlFeV/QvzqQ=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([188.99.160.184]) by smtp.web.de (mrweb004
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MUSOp-1jBvGB2K0Z-00REru; Wed, 01
 Jan 2020 01:31:00 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#38802: 24.5; emacs unusable, unpredictably, with "k is
 undefined" for every key
References: <CAJcAo8s0BYPWhfnLHdXBQySzLbzUTm+fyeMBh_F7Bv6fJcWpJw@HIDDEN>
 <83eewln7fi.fsf@HIDDEN>
Date: Wed, 01 Jan 2020 01:31:01 +0100
In-Reply-To: <83eewln7fi.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 30 Dec
 2019 17:45:37 +0200")
Message-ID: <874kxgqapm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:ExikxlhTvGQPDsYj7s/3NRjRRF7WZK+LQPTr3Y16sTgxUoH2814
 5qg3V24amrysvJrDcrAlDkwLz3sbB23WFif4X6tbCB8jyooxrstnGGeTxfZsJtI0Gq78YWt
 8D1krQ8k5BLgKCgTb0rT4HweZlRxusW4Kaxx22H81bz0Erk1D3aU0wamVZJXer4PGxJG7o0
 /PaVGtHFF8JMTzzVGHvzw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:82pBO/aVkrc=:TA4E+jVLjGoqTd94nnxwBn
 r6kbwhCC9IosEOI6417Uxh8brWl7MRxviV6v1WqTa1kQH3cwvQpFvtXfIda6PPDrytaIoGe47
 yD3eeWj47pwQZid3It16SIGwaDSLTQag6Y2OL0Yq2dNrJVn2u5iDfI7/iucn/89iYNK30qeH8
 sxUuvfLgkJUa6yueb6MHx4ch3AQwP2+8Q8f1GnkvETT0KlHNEZ1qoQu4HhpDj45HClCzrs+Wi
 NWg2RmY/jeqwlYbN4ZbofTa8B3drETPGQceEmmkgg6emXQfmDIrIu3ln7U0UNkPFI3i3mEd3j
 fgpmnO8EjeSes74BboYc22uJmkjnIJBvZIAra/BXmRlaI8UC66lTepJ08WT47UzZfpHCGYXLv
 +5jHNQP3qUPxrSnUR7eN8laYspAoIUGNf0kJEkG3q5qJ694YabrbFSwCKptDwOqPEMoGjUFPj
 JkiVVuUS8qty66FJ0sef+F9wzez8/RRqJYMn3DwyUXsPjVzryFINRWPUGi3doihI8Yhf1MRGZ
 sTest59fgUUxMxKHCH5/PTAGkeOYvPy0qc8vn7bdDAwX1/ZDeY2BNs3umwg2JNpGEYN/0TtM7
 SMi/1fcqcWN9S9L4d/dAIq6mzKTI4NAtx35OV1cjTojhFRaWeI/IILyBxaMn87hhuS9xOGW2V
 DoIkqkVL2aUtJmMoC0Zh7hls3wnFPSjpeEKbKSki6hWG1teJhKjrKWueeiqlfUSoFBk1FiHFD
 pRGVAjj0v+ZDH5x8Q8YZ7MZ5s7V7L5+P0F6L/T4xYu+3TSLTqIJ6WzzAxyWQ+d4JhnfLk+312
 gNbozxxWfmVpLxAydoq7tEsUgfms6+ypwjcT3HgJ8swZjnKwU+GqYZelAmdlOKweo3AoxRXfV
 CIxpxmNqSNRHC+h+89VYadUN/wy5RVofeGq9dtBqcYDRslviOBpoDa5OuTt4SxNFBNGqsXZbX
 buV1VrSGLHzcoDUi85RensKuOp5WbecS2LINFQoQI99UGYu1x/oqmp59jOC0FEQOwpd42/joA
 Mbam6h+DTGjYEjOSTlyT2Ig6NPwOxO86R54TWq+TcGMVYIhaZxJeWwiqSzHvUvk+DBfWm88+Q
 HbQyVTAtfWCebzr6z5Sup0K6HAyGyThsu0o57QA7D4rBsOAVBWPVn1Hzr9rmdMJW7G2bBWQvE
 IXPPo8mcn+3YQLRZrfHVjljguKvzvgoo2xVqtbq2lW3cVZgzJwws5XqhXB0ybIeY+6wZmupPJ
 blJ1ZlyPEaRAf0W80V70jpp8wEAmj/xTt2A0qfxLmGM4VdTT+uFsfLZakJxk=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38802
Cc: Samuel Wales <samologist@HIDDEN>, 38802 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Can you show a screenshot of how your Emacs session looks when this
> happens?

Dunno if it's related, but I sometimes saw something similar when I had
been kicked out of an y-or-n-p prompt somehow, AFAIR.  But I'm currently
not able to provoke something like this.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38802; Package emacs. Full text available.

Message received at 38802 <at> debbugs.gnu.org:


Received: (at 38802) by debbugs.gnu.org; 31 Dec 2019 22:39:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 31 17:39:45 2019
Received: from localhost ([127.0.0.1]:35292 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1imQAy-0005O4-Oy
	for submit <at> debbugs.gnu.org; Tue, 31 Dec 2019 17:39:44 -0500
Received: from mail-lj1-f179.google.com ([209.85.208.179]:43703)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <samologist@HIDDEN>) id 1imQAx-0005No-Cw
 for 38802 <at> debbugs.gnu.org; Tue, 31 Dec 2019 17:39:43 -0500
Received: by mail-lj1-f179.google.com with SMTP id a13so37333248ljm.10
 for <38802 <at> debbugs.gnu.org>; Tue, 31 Dec 2019 14:39:43 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=Hi/oCJLVh2gaMBcSpla4PlupHZaAlyq1AJZhzMhyWp0=;
 b=RXJudTyoL0zwANtTY8eGpDQCvbtiRU76Ut4/56WKs8fnm4/Q9AHO+4ci1Kl5v7EsVM
 G2Af7Gr91LREO64M78mAzct8Tf/zUFZP0tTXOI4zOxM6CT9PDzjgKvhZuRwWsyszBQ0A
 8024FR4UtFrTwI0EVsGDKTKPS8QwXxddrSd+vndmlkCt+I7cHPrZV+OVUaNxtpiA6wfk
 0SbyCu7R8YkZajSZRRRLOm97tIaQSFKAwmoq0X7uT0jJmiTKXz9XASW5WyZsyZMXg21F
 1SdcXsNLErYbqZpC6aQuex6wKrL2DEmWgFC38fFjt6VyWgTrqJfvj5wCJjR2lB7fp08y
 tDyg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=Hi/oCJLVh2gaMBcSpla4PlupHZaAlyq1AJZhzMhyWp0=;
 b=SlvlfwyRsRg5Uc5Jd0AGIHoQXtaHfPCiOkkxBw+xZ/47oV917N8m8v4HNOYDJjr2K8
 d4xOdz01xLf78rh28vFL0eLJLF0CXtHY6DOv676r3Q6yovfS6pq/fX0hxLNfswJ36L5o
 JUYwp7jvVvBPNvMFrYV+ZNSbY+1//8A4oKd9A6cIwM56WKjhnXZ2b7QUeVvemCH7FyPy
 AEdOgVWskws5KXsGp20jp6gGp7pQG9AQRbPcJhROX4Ig9TT8rWdI7qE2xTlbTHCF1S4i
 nrlHUbnrTFDF7jKSmOAXMoSrAzpWPbrXLHYNdpThgPH448VAxOoVzWhhja9/4e6v3miI
 uqEg==
X-Gm-Message-State: APjAAAVaOVr9hXTqX4MzlgYP1IShuUpm76DkqHNbAA6oYxyNOTVhrCnP
 KBoCy/vsdL376KvB2xvEE9eE2DyoGKL7v+QpFJw=
X-Google-Smtp-Source: APXvYqyXXNhjFW5ZUA78FRQRhuOSRx6kj+85j0dXroqmR0vU7Xndlu7tcHTLI/UfGc/z9sBunral4+wQieSkvEM/YIE=
X-Received: by 2002:a2e:8216:: with SMTP id w22mr41691082ljg.222.1577831977408; 
 Tue, 31 Dec 2019 14:39:37 -0800 (PST)
MIME-Version: 1.0
Received: by 2002:a19:ed0f:0:0:0:0:0 with HTTP; Tue, 31 Dec 2019 14:39:36
 -0800 (PST)
In-Reply-To: <83eewln7fi.fsf@HIDDEN>
References: <CAJcAo8s0BYPWhfnLHdXBQySzLbzUTm+fyeMBh_F7Bv6fJcWpJw@HIDDEN>
 <83eewln7fi.fsf@HIDDEN>
From: Samuel Wales <samologist@HIDDEN>
Date: Tue, 31 Dec 2019 15:39:36 -0700
Message-ID: <CAJcAo8sNP2Y5wQk-OuHY1siHOzV86yzjaAXmwE_Vr=EWjhShAw@HIDDEN>
Subject: Re: bug#38802: 24.5; emacs unusable, unpredictably, with "k is
 undefined" for every key
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38802
Cc: 38802 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 12/30/19, Eli Zaretskii <eliz@HIDDEN> wrote:
> Can you show a screenshot of how your Emacs session looks when this
> happens?

it is quite infrequent.  basically, last time, the screen showed the
buffer, password prompt in minibuffer, and then whenever you type any
key, it says that key is undefined.

-- 
The Kafka Pandemic

What is misopathy?
https://thekafkapandemic.blogspot.com/2013/10/why-some-diseases-are-wronged.html

The disease DOES progress. MANY people have died from it. And ANYBODY
can get it at any time.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38802; Package emacs. Full text available.

Message received at 38802 <at> debbugs.gnu.org:


Received: (at 38802) by debbugs.gnu.org; 30 Dec 2019 15:45:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 30 10:45:43 2019
Received: from localhost ([127.0.0.1]:33249 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ilxEl-0003TY-IM
	for submit <at> debbugs.gnu.org; Mon, 30 Dec 2019 10:45:43 -0500
Received: from eggs.gnu.org ([209.51.188.92]:36114)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ilxEk-0003TL-Nn
 for 38802 <at> debbugs.gnu.org; Mon, 30 Dec 2019 10:45:42 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36011)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1ilxEf-0003zk-IC; Mon, 30 Dec 2019 10:45:37 -0500
Received: from [176.228.60.248] (port=1370 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1ilxEY-0007EN-Be; Mon, 30 Dec 2019 10:45:36 -0500
Date: Mon, 30 Dec 2019 17:45:37 +0200
Message-Id: <83eewln7fi.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Samuel Wales <samologist@HIDDEN>
In-reply-to: <CAJcAo8s0BYPWhfnLHdXBQySzLbzUTm+fyeMBh_F7Bv6fJcWpJw@HIDDEN>
 (message from Samuel Wales on Sun, 29 Dec 2019 18:20:15 -0700)
Subject: Re: bug#38802: 24.5;
 emacs unusable, unpredictably, with "k is undefined" for every key
References: <CAJcAo8s0BYPWhfnLHdXBQySzLbzUTm+fyeMBh_F7Bv6fJcWpJw@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38802
Cc: 38802 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Samuel Wales <samologist@HIDDEN>
> Date: Sun, 29 Dec 2019 18:20:15 -0700
> 
> I have long had a bug where everything I type says "k is undefined",
> where k stands for any key including ESC and C-g.  this occurs
> randomly.
> 
> It is impossible to get out of this mode, unless you can figure out
> some SIGUSR1 voodoo.  Except once, I think type-break activating got
> me out of the mode.  And once I got
> out by just coming back to it after a half hour or something.

Can you show a screenshot of how your Emacs session looks when this
happens?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38802; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Dec 2019 01:20:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 29 20:20:22 2019
Received: from localhost ([127.0.0.1]:60367 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iljjK-0003dt-5S
	for submit <at> debbugs.gnu.org; Sun, 29 Dec 2019 20:20:22 -0500
Received: from lists.gnu.org ([209.51.188.17]:52059)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <samologist@HIDDEN>) id 1iljjI-0003dm-QH
 for submit <at> debbugs.gnu.org; Sun, 29 Dec 2019 20:20:21 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:53394)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <samologist@HIDDEN>) id 1iljjH-0000RE-Nn
 for bug-gnu-emacs@HIDDEN; Sun, 29 Dec 2019 20:20:20 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <samologist@HIDDEN>) id 1iljjG-00016N-Qv
 for bug-gnu-emacs@HIDDEN; Sun, 29 Dec 2019 20:20:19 -0500
Received: from mail-lj1-x244.google.com ([2a00:1450:4864:20::244]:33788)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <samologist@HIDDEN>)
 id 1iljjG-00015d-Kb
 for bug-gnu-emacs@HIDDEN; Sun, 29 Dec 2019 20:20:18 -0500
Received: by mail-lj1-x244.google.com with SMTP id y6so23882855lji.0
 for <bug-gnu-emacs@HIDDEN>; Sun, 29 Dec 2019 17:20:18 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=1NWYveRtJwDN5I1w9nlbt4L27oWPAyFwJJ/1aSDFzx0=;
 b=n8eMy+YBzInoADBhsZpFOD8qoO6V5lOiXzJWbI1/ANvbDG9ExsbMyRXhAk/t4wPNvU
 adMm5g0phwT6iaxeHZZjWRsUNkdZQCBYFiK3Il6XdlNgqxglGaQudGZJsR9Y8sb8RWZ7
 DxdrAiLht2rJzYcoxgILg8rc2SYY08ubi8Qv/5k52jyu3OnC+QvjT8Xd3Ah+nAYOf/K9
 zQjmuDZUQxofcJt3UAln0NxxgAaY7ATYbY5ZP3c7XQRxBa+osY6sUoT4wfkoRjRonhZG
 +l1MF4818KsOdFlMrmezmz1kRA6gdLGmuBGkOGYcYF7fXnGQzNlBaOhmOE4zn11zqlUK
 RJfg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=1NWYveRtJwDN5I1w9nlbt4L27oWPAyFwJJ/1aSDFzx0=;
 b=mB4NPsvjVtw/ukPMdBgli87rwAYvee2SZELa7oDzPTj2S/3mLAnDgUDkhoP1sWJcF7
 PIu/hgbas9x19ZhRUZXQ5dSAWiIq9rJf9i++Jx3IMH7nILtycs8PK9LEm+u9DI8N356P
 MJupgAvahhOANnlCV7cpQIyMdaDYWPAEoh5oD7g5CwZqk8aIK4rdlY5BidMRLWKKi39v
 VIKSuHSp1jv1qqvkUMuZjDpzzhl27oKbAmOM1JNu+Ba6n6k/s5RjgBy5WuC2bYg6pq8j
 ueoRGilEdRj089XBVhaHE5HbOOjQC1rArogZcw1oqRQAYzu0Rbt6471diNzthQKl136j
 cD2w==
X-Gm-Message-State: APjAAAWx/PJz6Gycv5NxFL0/WBnVIBUDR5Lvim6+WfXH18/dCPkH+I5a
 p69FsnJcPpED7vtJgGxGKnVOJ+Df3gIDXtwByiTZBa25RTI=
X-Google-Smtp-Source: APXvYqytAlIzxN1dOl7EukcA2nunkajXkFSMI0e98KJDGxiXZLZgTvn52LozfNJTRqjFcMeOb+pdkYrHYXFNQ7QYedA=
X-Received: by 2002:a2e:800b:: with SMTP id j11mr32933903ljg.126.1577668816483; 
 Sun, 29 Dec 2019 17:20:16 -0800 (PST)
MIME-Version: 1.0
Received: by 2002:a19:ed0f:0:0:0:0:0 with HTTP; Sun, 29 Dec 2019 17:20:15
 -0800 (PST)
From: Samuel Wales <samologist@HIDDEN>
Date: Sun, 29 Dec 2019 18:20:15 -0700
Message-ID: <CAJcAo8s0BYPWhfnLHdXBQySzLbzUTm+fyeMBh_F7Bv6fJcWpJw@HIDDEN>
Subject: 24.5;
 emacs unusable, unpredictably, with "k is undefined" for every key
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::244
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

To: bug-gnu-emacs@HIDDEN
Subject: 24.5; emacs unusable in minibuffer, unpredictably, with "k is
undefined" for every key
--text follows this line--
I have long had a bug where everything I type says "k is undefined",
where k stands for any key including ESC and C-g.  this occurs
randomly.

It is impossible to get out of this mode, unless you can figure out
some SIGUSR1 voodoo.  Except once, I think type-break activating got
me out of the mode.  And once I got
out by just coming back to it after a half hour or something.

I suspect maybe type-break also causes the bug, if certain conditions
obtain.  I am not sure.  But it is the only timer-based thing I can
think of.

I believe it occurs when I am in the minibuffer.  Perhaps only at a
password prompt.

I don't know if this bug report is useful.

Thanks.

In GNU Emacs 24.5.1 (x86_64-pc-linux-gnu, GTK+ Version 3.22.11)
 of 2017-09-12 on hullmann, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11902000
System Description:	Debian GNU/Linux 9.11 (stretch)




Acknowledgement sent to Samuel Wales <samologist@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#38802; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 27 Oct 2020 08:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.